Skip to main content
GET
/
users
/
{user_id}
/
chat
/
completions
List chat completions
curl --request GET \
  --url https://production.api.onvy.health/users/{user_id}/chat/completions \
  --header 'X-API-Key: <api-key>'
{
  "messages": [
    {
      "id": "<string>",
      "object": "<string>",
      "created": 123,
      "model": "<string>",
      "choices": [
        {
          "index": 123,
          "message": {
            "role": "<string>",
            "content": "<string>"
          },
          "finish_reason": "stop"
        }
      ],
      "usage": {
        "prompt_tokens": 123,
        "completion_tokens": 123,
        "total_tokens": 123
      }
    }
  ],
  "pagination": {
    "limit": 500,
    "total": 1,
    "page": "<string>",
    "next_page": "<string>"
  }
}

Authorizations

X-API-Key
string
header
required

API key for authentication

Path Parameters

user_id
string
required

User ID (e.g., google_104940819145861640201)

Query Parameters

page
string

Page Key for pagination

limit
integer
default:100

Number of items per page

Required range: 1 <= x <= 1000

Response

List of chat completions

messages
ChatCompletionResponse · object[]
required
pagination
Pagination · object
required